Kerbal Space Program - Bug #13272

Random Radial (in) Acceleration of Orbiting Crafts and Kerbals
11/20/2016 01:33 AM - dalmationblack

Status: Closed Start date: 11/20/2016
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This has been happening to be since | installed 1.2, and seems to apply when near a large body like Kerbin or the Mun. Anything that
isn't the 'original’ craft launched from KSC gets accelerated, whether it be a deployed satellite, a lander, or an EVA kerbal.
Screenshots here: http://imgur.com/a/KzS2m

History

#1 - 11/20/2016 06:02 PM - JPLRepo

- Status changed from New to Needs Clarification

Hi there. Unforunately we cannot look at bugs from an install that has mods installed.
Are you able to produce this bug without any mods installed?

#2 - 02/02/2017 12:48 PM - Azamorn

| believe | am seeing the same issue, It is some mod that is messing with the orbits and currently | have no way at all to determine which mod is
causing the problem to appear.

It usually happpens to me when | am burning my orbit to transfer to a different planet/moon, or when | do my circularization burn. A recurring theme of
what is happening goes like this:

1. I am doing a burn prograde/retrograde.

2. Suddenly the burn will stop having any effect on the orbit.

3. The orbit will stay unchangeable or will change on it's own, sometimes radial out, and sometimes radial in.

| would love to get to the bottom of this but I am not seeing any errors on my debug console, and | have no clue where to start to debug this issue,
should | provide my modlist?

#3 - 02/02/2017 02:20 PM - Azamorn
After uninstalling a whole bunch of mods | added recently, the issue was still occurring on the craft | wanted to do a transfer to Mun with, | scratched

the probe and rebuilt it with different parts and did not toggle physics warp during the burn and was able to circumvent this odd bug.

#4 - 08/09/2019 10:22 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#5 - 08/09/2019 10:22 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.
